Skip to content

V1.0

AI-powered eye color lens features for virtual try on.

Run an AI Eye Color Lens task.

Request

AI tasks are asynchronous. Prefer webhook-based completion handling when the feature supports webhooks. Configure your webhook endpoint, verify webhook signatures, and use the received task_id to query the task result after a success or error notification. See the webhook integration guide for setup and verification details.

If webhooks are not supported or cannot be used in your integration, implement polling. After submitting an AI task, poll the status endpoint at regular intervals (e.g., every 10 seconds) until the task status is success or error.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
versionstringrequired
Value:"1.0"
effectobjectrequired
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
ref_file_urlstringrequired

Url of the reference file to run task. The url should be publicly accessible.

Example:"https://example.com/accessory.jpg"
POST
/s2s/v2.0/task/eye-color-vto
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/eye-color-vto \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_url": "https://example.com/accessory.jpg",
    "version": "1.0",
    "effect": {
      "intensity": 1,
      "enlargement": 0,
      "skin_smooth_strength": 50,
      "skin_smooth_color_intensity": 50
    }
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }